package com.fr.plugin.decision.third.sms.controller;

import com.fr.decision.webservice.Response;
import com.fr.decision.webservice.annotation.VisitRefer;
import com.fr.plugin.decision.third.sms.fun.SmsClient;
import com.fr.third.springframework.stereotype.Controller;
import com.fr.third.springframework.web.bind.annotation.PathVariable;
import com.fr.third.springframework.web.bind.annotation.RequestMapping;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.third.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Controller
@RequestMapping("/{version}/third/sms")
public class ThirdSmsController {

    @RequestMapping(method = RequestMethod.GET)
    @ResponseBody
    @VisitRefer(required = false)
    public Response getSMSConfig(HttpServletRequest req,
                                 HttpServletResponse res,
                                 @PathVariable("version") String version) throws Exception {

        return Response.ok(SmsClient.getInstance().getSmsConfig());
    }

}
